<?php
if (!defined('ABSPATH')) {
	exit;
}
if (!empty(get_option('nmd_hide_breadcrumbs_page'))) return;

$ancestors_array = array_reverse(get_post_ancestors($post->ID));

$count = 2;
?>
<div class="page-breadcrumb" id="breadcrumbs-page">
	<ol class="article-breadcrumbs" itemscope itemtype="http://schema.org/BreadcrumbList">
		<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem" class="article-breadcrumbs__item"><a href="<?php echo NMD_HOME_URL; ?>" itemprop="item"><i class="fas fa-home"></i><span itemprop="name">HOME</span></a>
			<meta itemprop="position" content="1" />
		</li>
		<?php if (!empty($ancestors_array)) : ?>
			<?php foreach ($ancestors_array as $ancestor_id) : ?>
				<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem" class="article-breadcrumbs__item">
					<a href="<?php echo get_page_link($ancestor_id); ?>" itemprop="item"><span itemprop="name"><?php echo esc_html(get_post($ancestor_id)->post_title); ?></span></a>
					<meta itemprop="position" content="<?php echo $count; ?>" />
				</li>
				<?php $count++; ?>
			<?php endforeach; ?>
		<?php endif; ?>
		<li itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem" class="article-breadcrumbs__item article-breadcrumbs__item--title"><span itemprop="name"><?php the_title(); ?></span>
			<meta itemprop="position" content="<?php echo $count; ?>" />
		</li>
	</ol>
</div>