<?php
$facebook   = get_option('nmd_header_facebook_url', false);
$twitter    = get_option('nmd_header_twitter_url', false);
$instagram  = get_option('nmd_header_instagram_url', false);
$hide_searchbox = get_option('nmd_hide_searchbox_header', false);

if ($hide_searchbox) {
	$class = 'global-nav__right global-nav-sns global-nav-sns--no-searchbox';
} else {
	$class = 'global-nav__right global-nav-sns';
}

?>
<div class="<?php echo $class; ?>">
	<?php if ($facebook) : ?>
		<a href="<?php echo esc_url($facebook); ?>" class="global-nav-sns__icon" target="_blank" rel="noopener noreferrer">
			<img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-gray/fb.svg" alt="facebook" width="10" height="16">
		</a>
	<?php endif; ?>
	<?php if ($twitter) : ?>
		<a href="<?php echo esc_url($twitter); ?>" class="global-nav-sns__icon" target="_blank" rel="noopener noreferrer">
			<img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-gray/tw.svg" alt="Twitter" width="16" height="13">
		</a>
	<?php endif; ?>
	<?php if ($instagram) : ?>
		<a href="<?php echo esc_url($instagram); ?>" class="global-nav-sns__icon" target="_blank" rel="noopener noreferrer">
			<img src="<?php echo NMD_TEMPLATE_URI; ?>/assets/img/icon/share-gray/ig.svg" alt="Instagram" width="16" height="16">
		</a>
	<?php endif; ?>
	<?php if (!get_option('nmd_hide_searchbox_header', false)) : ?>
		<?php get_template_part('includes/header/searchbox-btn'); ?>
	<?php endif; ?>
</div>